Agents
Get agent by ID
Retrieve a specific agent by its ID
Authorization<token>
API key in the format: Bearer YOUR_API_KEY
In: header
Path Parameters
idstring
Agent ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://api.chorus-ai.co/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"systemPrompt": "string",
"slmModelId": "063c8b9b-716c-4479-8636-e6af423a21d0",
"voiceId": "a03665cd-ad55-4641-90b0-a6149c64fe33",
"voiceSpeed": 1,
"voiceStability": 0.5,
"turnEndpointDelay": 50,
"minTurnDuration": 2000,
"minInterruptionDuration": 2000,
"frameActivationThreshold": 1,
"postSpeechCooldown": 5000,
"ultravadEotThreshold": 1,
"speculativeSilenceMs": 5000,
"fallbackSilenceMs": 10000,
"isActive": true,
"allowEndCall": true,
"postCallSummaryEnabled": false,
"postCallExtractionSchema": [],
"postCallWebhookUrl": "http://example.com",
"postCallWebhookSecret": "string",
"firstSpeaker": "user",
"agentGreeting": "string",
"agentGreetingEnabled": true,
"firstMessageUninterruptible": false,
"firstMessageDelay": 0,
"maxCallDurationSeconds": 600,
"languageHint": "string",
"knowledgeSearchInstructions": "string",
"backgroundSoundId": "2d4fd124-f5e0-412f-938f-f63bafc5b5c7",
"backgroundSoundVolume": 0.15,
"holdMessage": "string",
"holdMusicUrl": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"toolIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"transferTargets": [
{
"type": "agent",
"targetAgentId": "3c3fbf7a-16c0-4680-876b-31293e797760",
"targetAgentName": "string",
"description": "string"
}
]
}
}{
"error": "string",
"details": [
{}
]
}Last updated on